[SM-Grimoire-Bugs] [Bug 15253] New: kdepim 3.5.10 fails to compile with GCC 4.4.0

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Wed Jun 10 03:02:02 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15253

           Summary: kdepim 3.5.10 fails to compile with GCC 4.4.0
           Product: Codex
           Version: test grimoire
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P3
         Component: kde
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: sandalle at sourcemage.org


$ sorcery -v
1.14.4-rc2

$ gaze version gcc kdebase kdepim glibc
Grimoire  Section   Spell    Grimoire Version  Installed Version
--------  -------   -----    ----------------  -----------------
test      gnu       gcc      4.3.3             4.4.0
test      kde-core  kdebase  3.5.10            3.5.10
test      kde-core  kdepim   3.5.10            -
test      libs      glibc    2.10.1            2.10.1

# cast kdepim
Computing previously installed dependencies...
kdepim preparing environment...
kdepim running configuration...
[[ Enable debug code? -> n ]]
Final code builds size optimized apps (experimental - needs lots of memory).
Final code can send files up to 250Mb if used with distcc
[[ Enable final code? -> y ]]
[[ Enable distcc? -> y ]]
[[ Enable new LDFLAGS? -> y ]]
[[ Enable Microsoft Exchange 2000 support in korganizer? -> y ]]
kdepim checking dependencies...
kdepim has a dependency on flex
kdepim has a dependency on bison
kdepim has a dependency on kdebase
kdepim has a dependency on perl
kdepim has a dependency on qt-x11
kdepim has an optional dependency on arts (for aRts sound daemon)
Do you want to cast arts? [n]
kdepim has an optional dependency on openssl (to use encrypted connections)
Do you want to use openssl? [y]
kdepim has an optional dependency on cyrus-sasl (for SASL authentication
support (which may be needed for working with e-mail with SMTP and IMAP --
RECOMMENDED))
Do you want to use cyrus-sasl? [y]
kdepim requests kdebase with SASL
[[ Would you like to enable encryption support in KMail? -> y ]]
kdepim has an optional dependency on gnupg (for basic encryption functionality
in KMail)
Do you want to use gnupg? [y]
kdepim has a dependency on gnupg-exp
kdepim has an optional dependency on gpgme (for GPGME support in KMail)
Do you want to use gpgme? [y]
kdepim has an optional dependency on pinentry (for PGP/MIME support in KMail)
Do you want to use pinentry? [y]
[[ Would you like to enable spam filtering in KMail? -> n ]]
[[ Would you like to enable virus scanning in KMail? -> n ]]
[[ Would you like to enable Palm compatible PDAs support in KDE-PIM? -> n ]]
kdepim has an optional dependency on libopensync (to sync with other devices)
Do you want to cast libopensync? [n]
kdepim has an optional dependency on kdetoys (for weather reports in Kontact)
Do you want to use kdetoys? [y]
kdepim has an optional dependency on fontconfig (to configure font access)
Do you want to use fontconfig? [y]
kdepim has an optional dependency on libxml2 (for a C++ XML interface)
Do you want to use libxml2? [y]
kdepim has an optional dependency on libxslt (for XSLT support)
Do you want to use libxslt? [y]
kdepim has an optional dependency on freetype2 (for freetype support)
Do you want to use freetype2? [y]
kdepim has an optional dependency on some POSTSCRIPT-INTERPRETER (for a
PostScript(R) interpreter).
        (0)     [none]
        (1)     ghostscript      (installed)

Which one do you want? [1]
kdepim has an optional dependency on mysql (for MySQL database support)
Do you want to use mysql? [y]
kdepim has an optional dependency on postgresql (for PostgreSQL database
support)
Do you want to cast postgresql? [n]
kdepim has an optional dependency on unixodbc (for ODBC database support)
Do you want to use unixodbc? [y]
kdepim has an optional dependency on openldap (for LDAP support)
Do you want to use openldap? [y]
kdepim has an optional dependency on gnokii (for mobile phone support)
Do you want to cast gnokii? [n]
...
In file included from
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.0/../../../../include/c++/4.4.0/istream:831,
                 from
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.0/../../../../include/c++/4.4.0/iostream:42,
                 from logfile.h:36,
                 from bitstream.cpp:34,
                 from libindex_la.all_cpp.cpp:3:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.0/../../../../include/c++/4.4.0/bits/istream.tcc:504:
error: 'unsigned int' is not a class, struct, or union type
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.0/../../../../include/c++/4.4.0/bits/istream.tcc:786:
error: 'unsigned int' is not a class, struct, or union type
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.0/../../../../include/c++/4.4.0/bits/istream.tcc:819:
error: 'unsigned int' is not a class, struct, or union type
make[2]: Leaving directory `/usr/src/kdepim-3.5.10/indexlib'
make[2]: *** [libindex_la.all_cpp.lo] Error 1
make[1]: Leaving directory `/usr/src/kdepim-3.5.10'
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list